#{extends 'borderNG.html' /}
#{set 'titleHead'}
Evaluasi  ${paket?.pkt_nama}
#{/set}
<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">Beranda</a></li>
    <li><a href="@{lelang.LelangCtr.view(lelang.lls_id)}">Informasi Tender</a></li>
</ol>
#{tabmenuLelang tahapStarted/}
<div class="content">
    <table class="table table-sm table-bordered">
        <tr>
            <th class="bgwarning" width="20%">Kode Tender</th>
            <td>${lelang.lls_id}</td>
        </tr>
        <tr>
            <th class="bgwarning">Nama Paket</th>
            <td>${paket.pkt_nama}</td>
        </tr>
        <tr>
            <th class="bgwarning">Nilai HPS</th>
            <td>${paket.pkt_hps?.rupiah()}</td>
        </tr>
        <tr>
            <th class="bgwarning">Nilai Pagu</th>
            <td>${paket.pkt_pagu?.rupiah()}</td>
        </tr>
    </table>
    #{alert /}
     <div class="card card-info">
        <div class="card-header"><b>Hasil Evaluasi</b>
            #{if jmlPeserta == 1}
            <div class="alert alert-danger">Tender Cepat Gagal. Karena hanya ada 1 Peserta yang memasukkan penawaran.</div>
            #{/if}
            #{elseif jmlPeserta > 1 && allow_penetapan}
        	<a href="@{lelang.EvaluasiCtr.penetapan(lelang.lls_id)}" class="badge  badge-secondary dialog float-right" title="Penetapan Pemenang">Penetapan Pemenang</a>
            #{/elseif}
        </div>
         <table class="table table-sm">
        <tr>
            <th width="5%">No</th>
            <th width="20%">Nama Peserta</th>
            <th width="20%">Penawaran</th>
            <th width="20%">Undangan Verifikasi</th>
            <th width="5%" class="text-center"><span class="badge  badge-info">H</span></th>
            <th width="5%" class="text-center"><span class="badge  badge-warning">P</span></th>
            <th width="5%" class="text-center"><span class="badge  badge-success">V</span></th>
        </tr>
        #{list items:list, as:'peserta'}
        <tr>
        	<td width="10">${peserta_index}</td>
        	<td>${peserta.rkn_nama}</td>
        	<td width="20%">${peserta.penawaranTerkoreksi} #{if peserta.psr_harga_terkoreksi && showDetilHarga}<a href="@{lelang.PesertaCtr.rincian_penawaran(peserta.psr_id)}" class="badge  badge-secondary" target="_blank">detil</a>#{/if}</td>
            <td>
                #{if peserta?.harga == 1 && jmlPeserta > 1}
                    <div class="btn-group">
	                    <a href="@{lelang.KlarifikasiCtr.kirimPesan(peserta.psr_id,jenis)}" class="btn btn-success btn-sm"><i class="fa fa-paper-plane"></i> #{if peserta.sudahUndangVerifikasi}Kirim Ulang#{/if}#{else}Kirim#{/else}</a>
                        #{if peserta.sudahUndangVerifikasi}
	                        <a href="@{lelang.EvaluasiCtr.cetak_undangan_verifikasi(peserta.psr_id)}" class="btn btn-primary btn-sm"><i class="fa fa-print"></i> Cetak</a>
                            <a href="https://zoom.us/signin" class="btn btn-warning btn-sm" target="_blank"><i class="fa fa-video-camera"></i> VC</a>
                        #{/if}
                    </div>
                #{/if}
            </td>
        	<td class="text-center" width="10">#{if peserta?.harga == 1}<i class="fa fa-check"/>#{/if} #{else} <i class="fa fa-close" /> #{/else}</td>
        	<td class="text-center" width="10">#{if peserta?.pemenang == 1}<i class="fa fa-check"/>#{/if}</td>
            <td class="text-center" width="10">#{if peserta?.pemenang_verif == 1 && evaluasi.eva_status.isSelesai()}<i class="fa fa-check"/>#{/if}</td>
	        <td class="text-center">
                #{if peserta?.harga == 1 && jmlPeserta > 1}
	                <div class="btn-group">
                        <a href="@{lelang.EvaluasiCtr.verifikasi_sikap(peserta.psr_id)}" class="btn btn-warning btn-sm" target="_blank">Verifikasi</a>
                        #{if peserta?.sudah_verifikasi_sikap == 1}
			                <a href="@{lelang.EvaluasiCtr.konfirmasi_verifikasi_sikap(peserta.psr_id)}"
			                   class="btn btn-success btn-sm dialog" title="Konfirmasi Verifikasi Kualifikasi SIKaP"><i class="fa fa-check"></i>&nbsp;Terverifikasi
			                </a>
                        #{/if}
                        #{else}
	                        <a href="@{lelang.EvaluasiCtr.konfirmasi_verifikasi_sikap(peserta.psr_id)}"
	                           class="btn btn-primary btn-sm dialog" title="Konfirmasi Verifikasi Kualifikasi SIKaP"><i class="fa fa-close"></i>&nbsp;Konfirmasi
	                        </a>
                        #{/else}
	                </div>
                #{/if}
            </td>
        </tr>
        #{/list}
    	</table>
     	<div class="card-body">
     		<ul class="list-inline">
		        <li class="list-inline-item"><span class="badge  badge-info">H</span>&nbsp;Evaluasi Harga</li>
		        <li class="list-inline-item"><span class="badge  badge-warning">P</span>&nbsp;Pemenang</li>
		        <li class="list-inline-item"><span class="badge  badge-success">V</span>&nbsp;Pemenang Terverifikasi</li>
		    </ul>
		     <div class="bs-callout bs-callout-info">
		    	Klik pada nama peserta untuk melakukan evaluasi
		    </div>
     	</div>   
     </div>
        #{if sudah_ada_penetapan}
        <div class="card card-info">
            <div class="card-header"><b>Status Persetujuan</b>
            #{if allow_persetujuan} <a href="@{lelang.EvaluasiCtr.persetujuanExpress(lelang.lls_id)}" class="badge  badge-secondary float-right">Persetujuan</a>#{/if}
            #{if allow_batal_persetujuan} <a href="@{lelang.PersetujuanCtr.batalPersetujuanPemenang(lelang.lls_id)}" onclick="return confirm('Apakah Anda yakin untuk membatalkan Persetujuan Anda?')"  class="btn btn-danger">Pembatalan Persetujuan </a> #{/if}
            </div>
        </div>
        #{/if}
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript">
    $(document).on("submit", "#formPenetapanPemenang", function(e){
        var form = $("#formPenetapanPemenang");
        $.ajax({
            url: form.attr('action'),
            data: form.serialize(),
            type : 'POST',
            beforeSend : function (){
                $("#alert-penetapan").html('<i class="fa fa-spinner fa-spin"></i>')
            }
        }).done(function() {
            $("#alert-penetapan").html('<div class="alert alert-success">Penetapan Telah dilakukan</div>')
        });
    });
</script>
#{/set}
